Voiceflow bearer token
Update evaluation
curl --request PATCH \
--url https://realtime-api.voiceflow.com/v1/stable/evaluation/<evaluationID> \
--header 'Authorization: Bearer <token>'
--header 'Content-Type: application/json' \
--data '{
"truePrompt": "<string>",
"falsePrompt": "<string>",
"name": "<string>",
"prompt": "<string>",
"enabled": true,
"settings": {
"model": "<AIModel>",
"realtime": {
"voice": "<string>",
"eagerness": "<string>"
},
"maxTokens": 0,
"temperature": 0,
"reasoningEffort": "<AIReasoningEffort>"
},
"description": "<string>",
"type": "boolean"
}'const response = await fetch('https://realtime-api.voiceflow.com/v1/stable/evaluation/<evaluationID>?projectID=<projectID>', {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"truePrompt": "<string>",
"falsePrompt": "<string>",
"name": "<string>",
"prompt": "<string>",
"enabled": true,
"settings": {
"model": "<AIModel>",
"realtime": {
"voice": "<string>",
"eagerness": "<string>"
},
"maxTokens": 0,
"temperature": 0,
"reasoningEffort": "<AIReasoningEffort>"
},
"description": "<string>",
"type": "boolean"
}),
});
const data = await response.json();import requests
response = requests.patch(
'https://realtime-api.voiceflow.com/v1/stable/evaluation/<evaluationID>?projectID=<projectID>',
headers={'Authorization': 'Bearer <token>'},
json={
"truePrompt": "<string>",
"falsePrompt": "<string>",
"name": "<string>",
"prompt": "<string>",
"enabled": True,
"settings": {
"model": "<AIModel>",
"realtime": {
"voice": "<string>",
"eagerness": "<string>"
},
"maxTokens": 0,
"temperature": 0,
"reasoningEffort": "<AIReasoningEffort>"
},
"description": "<string>",
"type": "boolean"
},
)
data = response.json()vf evaluation update --evaluation-id <evaluationID> --project-id <projectID> \
< body.json{
"message": "<string>"
}Update evaluation
Changes an existing evaluation in place. The response carries only a confirmation message, so refetch the evaluation to read its new values.
PATCH
/v1/stable/evaluation/{evaluationID}
Update evaluation
curl --request PATCH \
--url https://realtime-api.voiceflow.com/v1/stable/evaluation/<evaluationID> \
--header 'Authorization: Bearer <token>'
--header 'Content-Type: application/json' \
--data '{
"truePrompt": "<string>",
"falsePrompt": "<string>",
"name": "<string>",
"prompt": "<string>",
"enabled": true,
"settings": {
"model": "<AIModel>",
"realtime": {
"voice": "<string>",
"eagerness": "<string>"
},
"maxTokens": 0,
"temperature": 0,
"reasoningEffort": "<AIReasoningEffort>"
},
"description": "<string>",
"type": "boolean"
}'const response = await fetch('https://realtime-api.voiceflow.com/v1/stable/evaluation/<evaluationID>?projectID=<projectID>', {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"truePrompt": "<string>",
"falsePrompt": "<string>",
"name": "<string>",
"prompt": "<string>",
"enabled": true,
"settings": {
"model": "<AIModel>",
"realtime": {
"voice": "<string>",
"eagerness": "<string>"
},
"maxTokens": 0,
"temperature": 0,
"reasoningEffort": "<AIReasoningEffort>"
},
"description": "<string>",
"type": "boolean"
}),
});
const data = await response.json();import requests
response = requests.patch(
'https://realtime-api.voiceflow.com/v1/stable/evaluation/<evaluationID>?projectID=<projectID>',
headers={'Authorization': 'Bearer <token>'},
json={
"truePrompt": "<string>",
"falsePrompt": "<string>",
"name": "<string>",
"prompt": "<string>",
"enabled": True,
"settings": {
"model": "<AIModel>",
"realtime": {
"voice": "<string>",
"eagerness": "<string>"
},
"maxTokens": 0,
"temperature": 0,
"reasoningEffort": "<AIReasoningEffort>"
},
"description": "<string>",
"type": "boolean"
},
)
data = response.json()vf evaluation update --evaluation-id <evaluationID> --project-id <projectID> \
< body.json{
"message": "<string>"
}Authorizations
Body
Show child attributes
Option 1
Show child attributes
Option 2
Show child attributes
Option 3
Show child attributes
Option 4
Show child attributes
Show child attributes
Was this page helpful?
Thanks for your feedback.